Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# AsyncIberr

## Name

AsyncIberr -- iberr value for last asynchronous I/O operation

## Synopsis

    #include <gpib/ib.h>

``int AsyncIberr`(void);`

## Description

AsyncIberr() returns a thread-local error number related to the global variable iberr. Its value corresponds to the result of the last asynchronous I/O operation resynchronized to the current thread by an ibwait or ibstop call. This function only reflects the result of the asynchronous I/O operation itself and not, for example, the ibwait which resynchronized the asynchronous result to the current thread. Thus the result from AsyncIberr() is easier to interpret than ThreadIberr(), since it is unambiguous whether the value is associated with the asynchronous I/O result, or with the function call used to resynchronize (ibwait or ibstop).

This function is a Linux-GPIB extension.

## Return value

A value related to iberr corresponding to the last asynchronous I/O operation resynchronized to the current thread is returned.

Prev | Home | Next
AsyncIbcnt | Up | AsyncIbsta